STAC-VALIDATOR(1)

NAME
stac-validator - Validate STAC files

SYNOPSIS
stac-validator [OPTIONS] STAC_FILE

OPTIONS

--core
    Validate core stac object only without extensions.

--extensions
    Validate extensions only.

--links
    Additionally validate links. Only works with default mode.

--assets
    Additionally validate assets. Only works with default mode.

-c, --custom TEXT
    Validate against a custom schema (local filepath or remote schema).

-r, --recursive
    Recursively validate all related stac objects.

-m, --max-depth INTEGER
    Maximum depth to traverse when recursing. Omit this argument to get full recursion. Ignored if `recursive == False`.

--item-collection
    Validate item collection response. Can be combined with --pages. Defaults to one page.

-p, --pages INTEGER
    Maximum number of pages to validate via --itemcollection. Defaults to one page.

-v, --verbose
    Enables verbose output for recursive mode.

--no_output
    Do not print output to console.

--log_file TEXT
    Save full recursive output to log file (local filepath).

--version
    Show the version and exit.

--help
    Show this message and exit.